Bug 1265 - unable to lookup username for display
unable to lookup username for display
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.2a
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-15 01:16 UTC by Ole B. Larsen
Modified: 2005-08-24 10:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ole B. Larsen 2004-04-15 01:16:43 UTC
he following configuration has been working OK with Samba 3.0.1

Mandrake 9.0 PDC.
Redhat 7.3 BDC.
(both with ldapsam passdb backend).
Solaris 8 Memberserver.

After upgrade from 3.0.1 to 3.0.3pre2, using exactly the same configuration and 
exactly the same smb.conf - you get the an error, when you try to add a user or 
group in the security settings of a file or directory through MS Explorer. The 
message text is 'Unable to lookup user names for display.'

When you list users with wbinfo -u, only the usernames, not the domain part, is 
listed. In log.winbindd you get:

[2004/04/14 13:24:46, 0] nsswitch/winbindd_sid.c:winbindd_lookupname(111)
  could not find domain entry for domain <server netbiosname>.
Comment 1 Gerald (Jerry) Carter 2004-04-22 19:40:56 UTC
I'm pretty sure this is fixed in the latest 3.0 tree.
Comment 2 Gerald (Jerry) Carter 2005-02-07 07:41:01 UTC
originally reported against 3.0.11pre2.  Moving back to version to 3.0.10 
to remove preX and rcX versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:20:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.